Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package org.apache.hadoop.security.authorize

Interface Summary
RefreshAuthorizationPolicyProtocol | Protocol which is used to refresh the authorization policy in use currently.

Class Summary
AccessControlList | Class representing a configured access control list.
PolicyProvider | `PolicyProvider` provides the `Service` definitions to the security `Policy` in effect for Hadoop.
ProxyUsers |
Service | An abstract definition of service as related to Service Level Authorization for Hadoop.
ServiceAuthorizationManager | An authorization manager which handles service-level authorization for incoming service requests.

Exception Summary
AuthorizationException | An exception class for authorization-related issues.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

Copyright © 2009 The Apache Software Foundation